Bug 137031 - Download Manager does not sort by Progress correctly
Summary: Download Manager does not sort by Progress correctly
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mozilla
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christopher Aillon
QA Contact: Ben Levenson
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-10-25 12:37 UTC by Andrew
Modified: 2007-11-30 22:10 UTC (History)
0 users

(edit)
Clone Of:
(edit)
Last Closed: 2006-10-29 14:10:25 UTC


Attachments (Terms of Use)

Description Andrew 2004-10-25 12:37:58 UTC
Description of problem:
Download Manager does not sort by Progress correctly

Version-Release number of selected component (if applicable):
mozilla-1.7.3-17

How reproducible:
Every time.

Steps to Reproduce:
1. Open Download Manager (Tools->Download Manager)
2. Click on the Progress column
3.
  
Actual results:
incomplete items are interspersed with Cancelled items; Failed items
are in between Finished items in the list.

Expected results:
All "Finished" items, then all "Failed", then all "Cancelled", then
all with partial progress bar and in progress

Additional info:

Comment 1 John Thacker 2006-10-29 14:10:25 UTC
Please note that FC1 and FC2 are no longer supported even by Fedora Legacy, and
that FC3 and FC4 are supported by Fedora Legacy only for security issues. 
Please install a still supported version and retest.  If this still occurs on
FC3 or FC4 and is a security issue, please reopen the bug and assign it to that
version and Fedora Legacy.  If it still occurs on FC5, please reopen and assign
to the correct version.  

mozilla was removed from FC6, although the seamonkey application suite,
available from Fedora Extras, is derived from it.  Similar bugs may also be
present in firefox, so if the bug occurs with firefox in FC6, the bug should be
reassigned to FC6 and the firefox component.


Note You need to log in before you can comment on or make changes to this bug.